com.informix.jdbc

## Class IfxCollection

- java.lang.Object
- - com.informix.jdbc.IfxObject
  - - com.informix.jdbc.IfxComplex
    - - com.informix.jdbc.IfxCollection

    public class IfxCollection
    extends IfxComplex

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxComplex

`CLROW_HDRSZ, CLROW_ROWSZ, IFX_CT_NULL, inputStream, OLDCLROW_HDRSZ, OLDCLROW_ROWSZ, outputStream`

### Fields inherited from class com.informix.jdbc.IfxObject

`conn, encodedLength, extendedID, extendedName, extendedOwner, ifxType, isNull, jdbcType, sourceType, trace, typeMap, used_in_update`

### Constructor Summary

Constructors
Constructor and Description
`IfxCollection()` from IfxComplex **************************** protected IfxComplexInput inputStream; protected IfxComplexOutput outputStream;

### Method Summary

Methods
`void` `fromObject(java.lang.Object data)` Initialize IfxObject with the value in obj.
`void` `fromObject(java.lang.Object data, java.lang.String type)` Special situation for situations where we have to have the collection type definition string.
`java.sql.Array` `toArray()`
`java.lang.Object` `toObject()`

### Methods inherited from class com.informix.jdbc.IfxComplex

`clear, fromIfx, fromIfx, fromIfx, toIfx, toIfxTuple`

### Methods inherited from class com.informix.jdbc.IfxObject

`clearWarning, equals, fromAsciiStream, fromAsciiStream, fromBinaryStream, fromBinaryStream, fromBlob, fromBoolean, fromBoolean, fromByte, fromByte, fromBytes, fromCharacterStream, fromCharacterStream, fromClob, fromDate, fromDecimal, fromDecimal, fromDouble, fromDouble, fromFloat, fromFloat, fromIfx, fromIfx, fromIfx, fromIfx, fromInputStream, fromInputStream, fromInt, fromInt, fromIntervalDF, fromIntervalYM, fromLong, fromLong, fromNClob, fromObject, fromRowId, fromShort, fromShort, fromSQLXML, fromString, fromString, fromTime, fromTimestamp, get_used_in_update, getEncodedLength, getWarning, isNull, nullify, set_used_in_update, setConnection, setExtendedTypeName, setIfxType, setTypeMap, toAsciiStream, toBinaryStream, toBlob, toBoolean, toByte, toBytes, toCharacterStream, toClob, toDate, toDecimal, toDouble, toFloat, toIfxBSONObject, toInputStream, toInt, toInterval, toIntervalDF, toIntervalYM, toLong, toNClob, toObject, toRowId, toShort, toSQLXML, toString, toTime, toTimestamp, toUnloadString, unnullify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxCollection

    public IfxCollection()
                  throws java.sql.SQLException

from IfxComplex **************************** protected IfxComplexInput inputStream; protected IfxComplexOutput outputStream;

Throws:
  `java.sql.SQLException`

### Method Detail

#### fromObject

    public void fromObject(java.lang.Object data)
                    throws java.sql.SQLException

Description copied from class: `IfxObject`
Initialize IfxObject with the value in obj. It does the data conversion automatically from the obj type to IfxObject type. For example: In IfxInteger(), fromObject(Object obj) { if (obj instanceof Short) fromShort((Short) obj); }

Overrides:
  `fromObject` in class `IfxObject`
Parameters:
  `data` - Convert the data value from obj to IfxObject
Throws:
  `java.sql.SQLException`

#### fromObject

    public void fromObject(java.lang.Object data,
                  java.lang.String type)
                    throws java.sql.SQLException

Special situation for situations where we have to have the collection type definition string. We have to have it for UDRs so the server can find the UDR based on the signature.

Overrides:
  `fromObject` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toObject

    public java.lang.Object toObject()
                              throws java.sql.SQLException

Overrides:
  `toObject` in class `IfxObject`
Throws:
  `java.sql.SQLException`

#### toArray

    public java.sql.Array toArray()
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`